krandtest {ade4} | R Documentation

## Class of the Permutation Tests (in C).

### Description

Plot and print many permutation tests. Objects of class `'krandtest'` are lists.

### Usage

    ## S3 method for class 'krandtest'
    plot(x, mfrow = NULL, nclass = 10, main.title = x$names, ...)
    ## S3 method for class 'krandtest'
    print(x, ...)
    as.krandtest(sim, obs, alter = "greater", call = match.call(),
    names = colnames(sim), p.adjust.method = "none", output = c("light", "full"))

### Arguments

`x` | : an object of class `'krandtest'`
`mfrow` | : a vector of the form 'c(nr,nc)', otherwise computed by as special own function `n2mfrow`
`nclass` | a number of intervals for the histogram. Ignored if object output is `"light"`
`main.title` | : a string of character for the main title
`...` | : further arguments passed to or from other methods
`sim` | a matrix or data.frame of simulated values (repetitions as rows, number of tests as columns
`obs` | a numeric vector of observed values for each test
`alter` | a vector of character specifying the alternative hypothesis for each test. Each element must be one of "greater" (default), "less" or "two-sided". The length must be equal to the length of the vector obs, values are recycled if shorter.
`call` | a call order
`names` | a vector of names for tests
`p.adjust.method` | a string indicating a method for multiple adjustment, see `p.adjust.methods` for possible choices.
`output` | a character string specifying if all simulations should be stored (`"full"`). This was the default until `ade4` 1.7-5. Now, by default (`"light"`), only the distribution of simulated values is stored in element `plot` as produced by the `hist` function.

### Value

`plot.krandtest` draws the p simulated values histograms and the position of the observed value.

### Author(s)

Daniel Chessel and Stéphane Dray stephane.dray@univ-lyon1.fr

### See Also

`randtest`

### Examples

    wkrandtest <- as.krandtest(obs=c(0,1.2,2.4,3.4,5.4,20.4),sim=matrix(rnorm(6*200),200,6))
    wkrandtest
    plot(wkrandtest)

[Package ade4 version 1.7-13 Index]